Class {
	#name : #ZnockExpectation,
	#superclass : #ZnClient,
	#instVars : [
		'delay',
		'customizeResponseBlock',
		'isOptional'
	],
	#category : #Znock
}

{ #category : #operations }
ZnockExpectation >> beOptional [
	isOptional := true
]

{ #category : #accessing }
ZnockExpectation >> customizeResponseBlock [
	^ customizeResponseBlock
]

{ #category : #accessing }
ZnockExpectation >> customizeResponseBlock: anObject [
	customizeResponseBlock := anObject
]

{ #category : #operations }
ZnockExpectation >> customizeResponseFromRequest: aZnRequest [
	customizeResponseBlock ifNotNil: [ customizeResponseBlock cull: aZnRequest cull: response ]
]

{ #category : #accessing }
ZnockExpectation >> delay [
	^ delay
]

{ #category : #accessing }
ZnockExpectation >> delay: anObject [
	delay := anObject
]

{ #category : #operations }
ZnockExpectation >> execute [
	"Do nothing"
]

{ #category : #initialization }
ZnockExpectation >> initialize [

	super initialize.

	customizeResponseBlock := nil.
	delay := nil.
	isOptional := false.
]

{ #category : #accessing }
ZnockExpectation >> isOptional [
	^ isOptional
]

{ #category : #accessing }
ZnockExpectation >> response: aZnResponse [
	response := aZnResponse
]
